Bug 216124 - unnamespaced global symbol in libXfont
unnamespaced global symbol in libXfont
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libX11 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks: 216170
  Show dependency treegraph
 
Reported: 2006-11-17 07:42 EST by Joe Orton
Modified: 2008-02-12 10:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 10:57:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-11-17 07:42:59 EST
Description of problem:
Clashes for /usr/lib/libX11.so.6.2.0:
  with /usr/lib/libFS.so.6.0.0 => in6addr_any
  with /usr/lib/libICE.so.6.3.0 => in6addr_any
  with /usr/lib/libXfont.so.1.4.1 => in6addr_any

libX11-1.0.3-4.fc6.i386
Comment 1 Joe Orton 2006-11-20 12:41:02 EST
Just for the record the other X ones are:

Clashes for /usr/lib/libXfont.so.1.4.1:
  with /usr/lib/libXdmcp.so.6.0.0 => Xfree Xrealloc Xalloc
...
  with /usr/lib/libgs.so.8.15 => scan_token
Comment 2 Matěj Cepl 2007-09-11 20:34:16 EDT
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version of their distribution
available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 3 Matthias Clasen 2007-10-12 14:15:38 EDT
Matej, nothing has changed here. All these symbols are still there, and still
clash, e.g

[mclasen@localhost ~]$ nm -D /usr/lib/libX11.so.6 | grep in6addr
00921c10 V in6addr_any
[mclasen@localhost ~]$ nm -D /usr/lib/libICE.so.6 | grep in6addr
00d43214 V in6addr_any
[mclasen@localhost ~]$ nm -D /usr/lib/libXfont.so | grep in6addr
00783378 V in6addr_any
Comment 4 Adam Jackson 2008-02-12 10:57:45 EST
Technically speaking that's not an error then.  'V' means weak object; a strong
definition in glibc will override all the weak definitions, otherwise the value
goes to zero with no error.

The Xdmcp collision is gone as of a while ago.  The scan_token one is harmless,
since nothing links against both libXfont and libgs, but I built a fix for it
anyway as libXfont-1.3.1-4.fc9.

Note You need to log in before you can comment on or make changes to this bug.